Data Fields
_PurpleConvChatBuddy Struct Reference

Data for "Chat Buddies". More...

`#include <conversation.h>`

## Data Fields
char * | name
| The chat participant's name in the chat. More...
char * | alias
| The chat participant's alias, if known; NULL otherwise.
char * | alias_key
| A string by which this buddy will be sorted, or `NULL` if the buddy should be sorted by its `name`. More...
gboolean | buddy
| TRUE if this chat participant is on the buddy list; FALSE otherwise.
PurpleConvChatBuddyFlags | flags
| A bitwise OR of flags for this participant, such as whether they are a channel operator.
GHashTable * | attributes
| A hash table of attributes about the user, such as real name, user, etc.
gpointer | ui_data

## Detailed Description

Data for "Chat Buddies".

Definition at line 295 of file conversation.h.

## Field Documentation

## ◆ alias_key

char* _PurpleConvChatBuddy::alias_key

A string by which this buddy will be sorted, or `NULL` if the buddy should be sorted by its `name`.

(This is currently always `NULL`.)

Definition at line 301 of file conversation.h.

## ◆ name

char* _PurpleConvChatBuddy::name

The chat participant's name in the chat.

Definition at line 297 of file conversation.h.

The documentation for this struct was generated from the following file:

- conversation.h